//
//  MainWindowController.m
//  Hour19
//
//  Created by Kevin Hoffman on 9/18/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "MainWindowController.h"
#import <QuartzCore/QuartzCore.h>

@implementation MainWindowController
@synthesize topLeftButton;
@synthesize bottomLeftButton;
@synthesize topRightButton;
@synthesize bottomRightButton;
@synthesize gearImage;
@synthesize gearView;
@synthesize messageLabel;

- (id)initWithWindow:(NSWindow *)window
{
    self = [super initWithWindow:window];
    if (self) {
        // Initialization code here.
    }
    
    return self;
}

- (void)awakeFromNib {
    [gearView setWantsLayer:YES];
}

- (void)windowDidLoad
{
    [super windowDidLoad];
    
    // Implement this method to handle any initialization after your window controller's window has been loaded from its nib file.
}

- (IBAction)topLeftClicked:(id)sender {
    [NSAnimationContext runAnimationGroup:^(NSAnimationContext *context) {
        [context setDuration:2.5];
        [context setTimingFunction:
            [CAMediaTimingFunction functionWithName:kCAMediaTimingFunctionEaseInEaseOut]];
        [[gearView animator] setFrame:NSMakeRect(topLeftButton.frame.origin.x, 
                                                 topLeftButton.frame.origin.y, 
                                                 gearView.frame.size.width, 
                                                 gearView.frame.size.height)];
    }
    completionHandler:^{
        messageLabel.stringValue = @"Top Left Finished.";
    }];     
}

- (IBAction)bottomLeftClicked:(id)sender {
    [NSAnimationContext runAnimationGroup:^(NSAnimationContext *context) {
        [context setDuration:2.5];
        [context setTimingFunction:
         [CAMediaTimingFunction functionWithName:kCAMediaTimingFunctionEaseInEaseOut]];
        [[gearView animator] setFrame:NSMakeRect(bottomLeftButton.frame.origin.x, 
                                                 bottomLeftButton.frame.origin.y, 
                                                 gearView.frame.size.width, 
                                                 gearView.frame.size.height)];
    }
    completionHandler:^{
        messageLabel.stringValue = @"Bottom Left Finished.";
    }];     
}

- (IBAction)topRightClicked:(id)sender {
    [NSAnimationContext runAnimationGroup:^(NSAnimationContext *context) {
        [context setDuration:2.5];
        [context setTimingFunction:
         [CAMediaTimingFunction functionWithName:kCAMediaTimingFunctionEaseInEaseOut]];
        [[gearView animator] setFrame:NSMakeRect(topRightButton.frame.origin.x, 
                                                 topRightButton.frame.origin.y, 
                                                 gearView.frame.size.width, 
                                                 gearView.frame.size.height)];
    }
    completionHandler:^{
        messageLabel.stringValue = @"Top Right Finished.";
    }];     

}

- (IBAction)bottomRightClicked:(id)sender {
    [NSAnimationContext runAnimationGroup:^(NSAnimationContext *context) {
        [context setDuration:2.5];
        [context setTimingFunction:
         [CAMediaTimingFunction functionWithName:kCAMediaTimingFunctionEaseInEaseOut]];
        [[gearView animator] setFrame:NSMakeRect(bottomRightButton.frame.origin.x, 
                                                 bottomRightButton.frame.origin.y, 
                                                 gearView.frame.size.width, 
                                                 gearView.frame.size.height)];
    }
    completionHandler:^{
        messageLabel.stringValue = @"Bottom Right Finished.";
    }];     
}
@end
