//
//  DragSourceView.m
//  Hour22
//
//  Created by Kevin Hoffman on 10/5/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "DragSourceView.h"
#import "STYAppDelegate.h"

@implementation DragSourceView

- (id)initWithFrame:(NSRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code here.
    }
    
    return self;
}

- (void)drawRect:(NSRect)dirtyRect
{
    // Drawing code here.
}


- (NSDragOperation)draggingSession:(NSDraggingSession *)session 
            sourceOperationMaskForDraggingContext:(NSDraggingContext)context
{
    NSLog(@"draggingSession:sourceOperationMaskForDraggingContext");
    return NSDragOperationMove | NSDragOperationCopy;
}

- (void)draggingSession:(NSDraggingSession *)session movedToPoint:(NSPoint)screenPoint
{
    NSLog(@"draggingSession:movedToPoint: %@", screenPoint);
}

- (void)mouseDragged:(NSEvent *)theEvent
{
    NSString *customData = @"this is custom data";

    NSPasteboardItem *pbItem = [[NSPasteboardItem alloc] init];
    [pbItem setData:[customData dataUsingEncoding:NSUTF8StringEncoding] forType:kMyDragType];
    NSDraggingItem *item = [[NSDraggingItem alloc] initWithPasteboardWriter:pbItem];
    [item setDraggingFrame:NSMakeRect(10, 10, self.bounds.size.width-20, self.bounds.size.height-20) contents:[NSImage imageNamed:@"paperball.jpg"]];
    
    NSArray *dragItems = [NSArray arrayWithObject:item];

    
    
    [self beginDraggingSessionWithItems:dragItems event:theEvent source:self];
    
}
@end
