//
//  Hour3AppDelegate.m
//  Hour3
//
//  Created by Kevin Hoffman on 5/29/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "Hour3AppDelegate.h"

@implementation Hour3AppDelegate

@synthesize window;

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
    // Basic Math and Numbers    
    int a=5;
    int b=10;
    
    int c = a*b;
    
    NSLog(@"a*b = %d", c);
    
    double d = 123.00;
    double e = 235.00;
    double f = d * e;
    NSLog(@"d*e = %f", f);
    
    NSLog(@"d/e = %f", d / e);
    
    NSLog(@"d/0 = %f", d / 0);
    
    float floaty = d*e;
    
    NSLog(@"size of float: %lu", sizeof(floaty));
    NSLog(@"size of double: %lu", sizeof(f));
    NSLog(@"size of int: %lu", sizeof(a));
    NSLog(@"size of long: %lu", sizeof(long));
    NSLog(@"size of uint: %lu", sizeof(uint));
    
    // Strings
    NSString *favoriteColor = @"green";
    NSLog(@"%@", favoriteColor);
    
    NSString *friendlyOutput = [NSString stringWithFormat:@"Kevin loves the color %@", favoriteColor];
    NSLog(@"%@", friendlyOutput);
    
    NSString *subString = [friendlyOutput substringWithRange:NSMakeRange(6, 15)];
    NSLog(@"substring: %@", subString);
    
    // Pointers and Equality
    int targetNum = 42;
    int bigTargetNum = 75;
    int *targetNum_ptr = &targetNum;
    int *targetNum_ptr2 = &targetNum;
    NSLog(@"targetNum = %d, ptr points to = %d", targetNum, *targetNum_ptr);
    NSLog(@"are two pointers equal? %d", (targetNum_ptr == targetNum_ptr2));
    targetNum_ptr2 = &bigTargetNum;
    NSLog(@"are two pointers equal 2nd time? %d", (targetNum_ptr == targetNum_ptr2));
    *targetNum_ptr2 = 42; // what did this really do? 
    NSLog(@"are two pointers equal 3rd time? %d", (targetNum_ptr == targetNum_ptr2));
    
    NSString *stringA = @"Hello World";
    NSString *stringB = [NSString stringWithFormat:@"%@ %@", @"Hello", @"World"];
    NSLog(@"Is %@ == %@ : %d", stringA, stringB, (stringA == stringB));
    NSLog(@"What about with isEqualToString? %d", [stringA isEqualToString:stringB]);
    
    if ([favoriteColor isEqualToString:@"blue"])
    {
        NSLog(@"Your favorite color is BLUE!");
    }
    else if ([favoriteColor isEqualToString:@"purple"])
    {
        NSLog(@"You're into purple.");
    }
    else 
    {
        NSLog(@"You don't like blue or purple!");
    }
    
    for (int x=0; x<10; x++)
    {
        switch (x) {
            case 0:
                NSLog(@"First time through!");
                break;
            case 1:
            case 2:
            case 3:
            case 4:
                NSLog(@"Not halfway there yet...");
                break;                
            default:
                NSLog(@"Working on the %dth iteration.", x);
                break;
        }
    }
}

@end
