//
//  Hour8AppDelegate.m
//  Hour8
//
//  Created by Kevin Hoffman on 7/6/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "Hour8AppDelegate.h"

@implementation Hour8AppDelegate
@synthesize resultsLabel;

@synthesize window;
@synthesize maxRunDistance;
@synthesize fightsWon;
@synthesize zombieLoreKnowledge;

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
    // Insert code here to initialize your application
}

- (IBAction)calculateOdds:(id)sender {
    NSLog(@"You wanted to calculate the odds.");
    
    NSInteger runDistance = maxRunDistance.integerValue;
    NSInteger wonFights = fightsWon.integerValue;
    NSString *loreValue = [zombieLoreKnowledge titleOfSelectedItem];
    
    NSLog(@"About to calculate odds with a run distance of %ld, win count of %ld, and a lore knowledge of %@",
          runDistance, 
          wonFights,
          loreValue);
    
    NSInteger raw = runDistance * wonFights;
    if ([loreValue isEqualToString:@"What's a Zombie?"])
        raw -= 150;

    double ratio = raw / 880.0;
    NSInteger odds = ratio * 100; // completely arbitrary calculation
    
    resultsLabel.stringValue = [NSString stringWithFormat:@"%d%%", odds];
    [resultsLabel setBezeled:YES];
}
@end
