//
//  Hour12AppDelegate.m
//  Hour12
//
//  Created by Kevin Hoffman on 7/24/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "Hour12AppDelegate.h"

@implementation Hour12AppDelegate

@synthesize favNumberTextField;
@synthesize coinPrefTextField;
@synthesize window;

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
    // Insert code here to initialize your application
    
    [[NSUserDefaults standardUserDefaults] registerDefaults:
     [NSDictionary dictionaryWithObjectsAndKeys:
        [NSNumber numberWithInt:42], @"favoriteNumber",
        @"gold", @"coinPreference", 
        @"blue", @"favoriteColor",
      nil]];
    
    NSInteger favNumber = [[NSUserDefaults standardUserDefaults] 
                           integerForKey:@"favoriteNumber"];
    NSString *coinPref =  [[NSUserDefaults standardUserDefaults] 
                           stringForKey:@"coinPreference"];
    
    NSLog(@"at app startup, user's favorite number is %ld", favNumber);
    NSLog(@"at app startup, user's coin preference is %@", coinPref);
    
    [favNumberTextField setIntegerValue:favNumber];
    [coinPrefTextField setStringValue:coinPref];

}

- (IBAction)preferencesClicked:(id)sender {
    if (prefController == nil)
    {
        prefController = [[PreferencesWindowController alloc] 
                          initWithWindowNibName:@"Hour12PreferencesWindow"];
    }
    [prefController showWindow:self];
}

- (IBAction)setNumberClick:(id)sender {
    NSInteger newValue = favNumberTextField.intValue;
    
    [[NSUserDefaults standardUserDefaults] setInteger:newValue forKey:@"favoriteNumber"];
}

- (IBAction)setCoinPrefClick:(id)sender {
    NSString *newValue = coinPrefTextField.stringValue;
    
    [[NSUserDefaults standardUserDefaults] setObject:newValue forKey:@"coinPreference"];
}
@end
